 
  {
     See "Applications of FlexPDE", Volume 1, for a discussion of this problem.
  }
 
  title 'AXI-SYMMETRIC MAGNETIC FIELD'
 
  coordinates
    xcylinder(Z,R)
 
  Variables
    Aphi               { the azimuthal component of the magnetic vector potential }
 
  Definitions
    mu = 1                      { the permeability }
    rmu = 1/mu
    J = 0                         { the global source term defaults to zero }
    current = 10                { the source value in the coil }
    Br = -dz(Aphi)
    Bz = dr(r*Aphi)/r
 
  Equations
    curl(curl(Aphi)/mu) = J
 
  Boundaries
    Region 1
      start(-10,0)
      value(Aphi) = 0                      { specify A=0 along axis }
      line to (10,0)
      value(Aphi) = 0                    {  H<dot>n = 0 on distant sphere }
      arc(center=0,0) angle 180 finish
 
    Region 2
      J = current                       { override source value with coil current }
      start (-0.25,1) line to (0.25,1) to (0.25,1.5) to (-0.25,1.5) finish
 
  Monitors
    contour(Bz) zoom(-2,0,4,4) as 'FLUX DENSITY B'
    contour(Aphi) as 'Potential'
 
  Plots
    grid(z,r)
    contour(Bz)  as 'FLUX DENSITY B'
    contour(Bz) zoom(-2,0,4,4)  as 'FLUX DENSITY B'
    elevation(Aphi, dr(Aphi), Aphi/r, Bz) from (0,0) to (0,1) as 'Near Axis'
    vector(Bz,Br) as 'FLUX DENSITY B'
    vector(Bz,Br) zoom(-2,0,4,4) as 'FLUX DENSITY B'
    contour(Aphi)  as 'MAGNETIC POTENTIAL'
    contour(Aphi) zoom(-2,0,4,4)  as 'MAGNETIC POTENTIAL'
    surface(Aphi)  as 'MAGNETIC POTENTIAL'  viewpoint (-1,1,30)
 
  End    204908890
