 
title "TE Waveguide"
 
select
  modes = 4		{ This is the number of Eigenvalues desired. }
 
variables
  Hz
 
definitions
  L = 2
  h = 0.5               ! half box height
  g = 0.01              ! half-guage of wall
  s = 0.3*L             ! septum depth
  tang = 0.1            ! half-width of tang
  Hx = -dx(Hz)
  Hy = -dy(Hz)
  Ex = Hy
  Ey = -Hx
 
equations
  div(grad(Hz)) + lambda*Hz = 0
 
constraints
  integral(Hz) = 0	{ since Hz has only natural boundary conditions,
			we need to constrain the answer }
 
boundaries
  region 1
    start(0,0)
    natural(Hz) = 0     line to (L,0) to (L,1) to (0,1)  to (0,h+g)
    natural(Hz) = 0
        line to (s-g,h+g) to (s-g,h+g+tang) to (s+g,h+g+tang)
             to (s+g,h-g-tang) to (s-g,h-g-tang) to (s-g,h-g) to (0,h-g)
    line to finish
 
  monitors
     contour(Hz)
 
  plots
     contour(Hz) painted
     vector(Hx,Hy)  as "Transverse H" norm
     vector(Ex,Ey)  as "Transverse E" norm
 
  end    142358648
